use bemily_commons_protobuf_rust::protobuf::bemily::protobuf as bcprpbp;

pub const SUBJECT: &str = "bemily.messenger.chat.messages.se2c.event.message_attach_files";

#[derive(Clone, PartialEq, ::prost::Message)]
pub struct MessageAttachFile {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(string, tag = "2")]
  pub room_id: ::prost::alloc::string::String,
  #[prost(string, tag = "3")]
  pub message_id: ::prost::alloc::string::String,
  #[prost(string, tag = "4")]
  pub file_id: ::prost::alloc::string::String,
  #[prost(enumeration = "MessageAttachFileType", tag = "5")]
  pub attach_file_type: i32,
  #[prost(uint64, tag = "6")]
  pub created_at: u64,
  #[prost(uint64, tag = "7")]
  pub updated_at: u64,
  #[prost(uint64, optional, tag = "8")]
  pub deleted_at: ::core::option::Option<u64>,
  #[prost(enumeration = "bcprpbp::event::change::ChangeEventType", tag = "9")]
  pub change_type: i32,
}

pub const SUBJECT_CHANGE: &str = const_format::concatcp!(SUBJECT, ".Change");
/// subject = bemily.messenger.chat.messages.se2c.event.message_attach_files.Change;
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ChangeEvent {
  #[prost(string, tag = "1")]
  pub identity_id: ::prost::alloc::string::String,
  #[prost(string, tag = "2")]
  pub room_id: ::prost::alloc::string::String,
  #[prost(string, tag = "3")]
  pub message_id: ::prost::alloc::string::String,
  #[prost(message, repeated, tag = "4")]
  pub message_attach_files: ::prost::alloc::vec::Vec<MessageAttachFile>,
}
#[derive(Clone, Copy, Debug, PartialEq, Eq, Hash, PartialOrd, Ord, ::prost::Enumeration)]
#[repr(i32)]
pub enum MessageAttachFileType {
  None = 0,
  Image = 1,
  Video = 2,
  Sound = 3,
  File = 4,
}
