use serde::{Deserialize, Serialize};

#[derive(Clone, PartialEq, ::prost::Message, Serialize, Deserialize)]
pub struct Client {
  #[prost(string, tag = "1")]
  pub client_ip: ::prost::alloc::string::String,
  #[prost(string, optional, tag = "2")]
  pub site_url: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(string, optional, tag = "3")]
  pub access_token: ::core::option::Option<::prost::alloc::string::String>,
}
